curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"floorUtilizationDaily": [
{
"floor": {
"floorId": 26,
"name": "1st Floor"
},
"spaceCount": 150,
"peakUtilization": 120,
"averageUtilization": 80,
"incompleteDataReason": "MissingDueToSpaceTypeFilter"
}
]
}Get the daily statistics (utlization peak and utilization average) for the spaces on all floors of a building on a given date.
This request will return, for each floor of the given building, the number of spaces of the given space type that exist on that floor (if no space type is provided, all space types are considered), the floor’s daily peak utilization and the floor’s daily average utilization on the given date. The date should be specified as a query parameter. The date is interpreted in the timezone of the building. Only the measurements within office hours and during workdays are used for the stats.
The queried date is expected to be in the past, i.e. the most recent date that can be queried is yesterday. If we have no utilization data for the requested time (potentially caused by the date not yet being over in the building’s timezone or floors not existing on the given date) we will return null for the peak and average utilization. Please note that a building in Sydney (UTC+11) might already have data for a given date, while at that time another building in Honolulu (UTC-10) will still be collecting data (and return ‘null’).
This endpoint is only available for buildings with SubscriptionPlan=Workplace.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/workplace/building/{buildingId}/utilization/daily/floor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"floorUtilizationDaily": [
{
"floor": {
"floorId": 26,
"name": "1st Floor"
},
"spaceCount": 150,
"peakUtilization": 120,
"averageUtilization": 80,
"incompleteDataReason": "MissingDueToSpaceTypeFilter"
}
]
}Authorizations
Path Parameters
The unique ID of a building.
6
Query Parameters
The date for which the utilization statistics are requested. The expected format is YYYY-MM-DD.
"2020-10-20"
The type of spaces considered for the statistics. This parameter is case sensitive. If left empty, all space types will be considered.
The type of Space as seen in Locatee Analytics.
Desk, MeetingRoom, CollaborationSpace, Undefined "MeetingRoom"
Response
Successful operation
Container for a list of floors with utilization statistics.
Show child attributes
Show child attributes

